INTERFACE
SUBROUTINE RDSCAW(KPROMB,KSTART,KPROF,KGLN,KGLX,&
 & KSTABUF,KWIS,KFRSTLOFF,KEXT,K1,K2,K3,K4,&
 & P4JP,PIS2,PLSDEPI,PLATI,&
 & PIPI0,PIPI1,PIPI2,PLON,PLAT,&
 & PDLAT,PCLA,PDLO,PCLO,KL0,&
 & KARXB1,KMASK2) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW, ONLY : KPDUP
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: K1
INTEGER(KIND=JPIM),INTENT(IN) :: K2
INTEGER(KIND=JPIM),INTENT(IN) :: K3
INTEGER(KIND=JPIM),INTENT(IN) :: K4
INTEGER(KIND=JPIM),INTENT(IN) :: KARXB1
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KWIS
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KEXT(K1:K2,K3:K4)
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KPROMB)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT(KPROMB)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA(KPROMB,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO(KPROMB,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO(KPROMB,3,2)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0(KPROMB,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KMASK2(KARXB1+4)
END SUBROUTINE RDSCAW
END INTERFACE
